Bug 1265414 - Feature: show all status about self-heal
Feature: show all status about self-heal
Status: ASSIGNED
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 16:54 EDT by Joe Julian
Modified: 2016-09-19 22:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Julian 2015-09-22 16:54:03 EDT
"gluster volume heal myvol full" succeeds, but doesn't appear to be doing anything. There's no way of telling what shd is doing.

We need a much more transparent status report for shd, something that tells what it's doing, what's left to do, if it's even doing anything.

I don't even know if it has a job queue, or if it does several jobs simultaneously.
Comment 1 Pranith Kumar K 2015-09-30 02:19:08 EDT
Joe,
 Did you get a chance to play with gluster volume heal <volname> statistics commands?

Pranith
Comment 2 Joe Julian 2015-10-20 17:04:56 EDT
Is that per-server, or system wide?
Are all shd involved in a full heal?
I see, now, different shd processes in 3.7 for individual volumes. Does this mean I could run a full heal of all my volumes simultaneously?
Shouldn't I be able to "heal all statistics"?

Note You need to log in before you can comment on or make changes to this bug.